
/**
 * 图片编辑表中的type
 */
export enum IMGEDITFUNENUM {
    学术研究 = 1,
}


/**
 * 党建栏目类型
 */
export enum PARTYBUILDTYPEENUM {
    主题教育 = 1,
    学习园地,
}


/**
 * 党建子栏目
 */
export enum PARTYBUILDSUBTYPEENUM {
    视频资料 = 1,
    文字资料
}


/**
 * 动态资讯子栏目
 */
export enum DONGTAIZIXUNSUBTYPE {
    政策动向 = 1,
    学会动态,
    行业风采
}


/**
 * 资料类型
 */
export enum INFORMATIONTYPEENUM {
    文件类型 = 1,
    视频类型
}

/**
 * 通知公告
 */
export enum TONGZHIGONGGAO {
    会议通知 = 1,
    活动通知,
    项目公告
}

/**
 * 会员类型
 */
export enum MEMBERTYPE {
    个人会员 = 1,
    单位会员
}

/**
 * 性别
 */
export enum SEX {
    男 = 1,
    女,
}

/**
 * 专业类别
 */
export enum PROFCATEGORY {
    教育理论 = 1,
    教学管理,
    舞蹈,
    音乐,
    美术设计,
    戏剧影视,
    戏曲,
    曲艺杂技,
    舞台技术,
    群众艺术,
    旅游相关,
    文化产业,
    文化管理,
    文化科技,
    其他
}


/**
 * 作品类型
 */
export enum TYPEOFWORKS {
    作品类型1 = 1,
    作品类型2,
    作品类型3,
    作品类型4,
    作品类型5,
    作品类型6
}


/**
 * 内容管理banner位置
 */
export enum BANNERPOSITION {
    首页_hghbanner01 = 1,
    首页_hghbanner02,
    首页_hghbanner03,
    学会概况_hghbanner01,
    学会概况_hghbanner02,
    学会概况_hghbanner03,
    动态资讯,
    品牌项目_hghbanner01,
    品牌项目_hghbanner02,
    品牌项目_hghbanner03,
} 


/**
 * 内容管理文章位置
 */
export enum ARTICLEPOSITION {
    动态资讯_hgh政策动向 = 1,
    动态资讯_hgh学会动态,
    动态资讯_hgh行业风采,
    学会概况_hgh学会规章,
    品牌项目_hgh乡村振兴,
    品牌项目_hgh学术研究,
    品牌项目_hgh芳华杯,
    // 党建工作_hgh主题教育
}


/**
 * 内容管理视频位置
 */ 
export enum VIDEOPOSITION {
    首页_hgh热点视频 = 1,
    党建工作_hgh主题教育,
    党建工作_hgh工作动态,
    党建工作_hgh学习交流
}

export enum DANGJIANVIDEO {
    主题教育 = 2,
    工作动态,
    学习交流 
}

export enum YEARENUM {
    _kbh2024 = 2024,
    _kbh2023 = 2023,
    _kbh2022 = 2022,
    _kbh2021 = 2021,
    _kbh2020 = 2020,
    _kbh2019 = 2019,
    _kbh2018 = 2018,
    _kbh2017 = 2017,
    _kbh2016 = 2016,
    _kbh2015 = 2015,
    _kbh2014 = 2014,
    _kbh2013 = 2013,
    _kbh2012 = 2012,
    _kbh2011 = 2011,
    _kbh2010 = 2010,
}

/**
 * 证件类型
 */
export enum DOCUMENTTYPE {
    身份证 = 1,
}


/**
 * 民族
 */
export enum NATION {
    汉族 = 1,
    壮族,
    满族,
    回族,
    苗族,
    维吾尔族,
    土家族,
    彝族,
    蒙古族,
    藏族,
    布依族,
    侗族,
    瑶族,
    朝鲜族,
    白族,
    哈尼族,
    哈萨克族,
    黎族,
    傣族,
    畲族,
    傈僳族,
    仡佬族,
    东乡族,
    高山族,
    拉祜族,
    水族,
    佤族,
    纳西族,
    羌族,
    土族,
    仫佬族,
    锡伯族,
    柯尔克孜族,
    达斡尔族,
    景颇族,
    毛南族,
    撒拉族,
    布朗族,
    塔吉克族,
    阿昌族,
    普米族,
    鄂温克族,
    怒族,
    京族,
    基诺族,
    德昂族,
    保安族,
    俄罗斯族,
    裕固族,
    乌孜别克族,
    门巴族,
    鄂伦春族,
    独龙族,
    塔塔尔族,
    赫哲族,
    珞巴族
}


/**
 * 参加会议成员  participant
 */
export enum CODPARTICIPANT {
    会议成员1 = 1,
    会议成员2,
    会议成员3,
    会议成员4,
    会议成员5,
    会议成员6,
    会议成员7,
    会议成员8,
    会议成员9
}

/**
 * 委员名单
 */
export enum COMMITTEEMEMBER {
    委员1 = 1,
    委员2,
    委员3
}

/**
 * 分会职务
 */
export enum BRANCHPOSITION {
    主任 = 1,
    副主任,
    秘书长,
    副秘书长,
    委员
}
  

/**
 * 状态
 */
export enum STATE {
    否 = 0,
    是 = 1
}


/**
 * 下载专区分类
 */
export enum DWTYPE {
    分类1 = 1,
    分类2,
    分类3,
    分类4,
    分类5,
    分类6,
    分类7
}

/**
 * 会员状态
 */
export enum MEMBERSTATE {
    正常 = 1, 
    异常,
    冻结,
    冻结管理员
}

/**
 * 单位会员类型
 */
export enum UNITMEMBERTYPE {
    单位会员院校 = 9,
    单位会员机构,
    单位会员其他
}


/**
 * 个人会员类型   Individual
 */
export enum INDIVIDUALMEMBERTYPE {
    个人会员 = 1,
    个人会员专家,
}

/**
 * 会员类型 校验用
 */
export enum MEMBERTYPEECCENUM {
    个人会员 = 1,
    个人会员专家,
    单位会员院校 = 9,
    单位会员机构,
    单位会员其他
}


/**
 * 会员等级 会员职务
 */
export enum MEMBERLEVEL {
    普通会员 = 1,
    专家会员,
    理事,
    常务理事,
}


/**
 * 用户注册状态
 */
export enum USERREGISTERSTATE {
    待审核 = 1,
    重新提交,
    驳回修改,
    通过
}


/**
 * 证书类型
 */
export enum CERTIFICATETYPE {
    普通会员证书 = 1,
    专家证书,
    理事证书,
    常务理事证书
}


/**
 * 订单状态
 */
export enum ORDERSTATE {
    未支付 = 1,
    已支付
}


/*
 * 验证码类型
 */
export enum CODETYPE {
    用户注册 = 1
}


/**
 * 会费类别
 */
export enum COSTTYPE {
    首次 = 1,
    续费
}

export enum ISPAYENUM {
    全部 = 0,
    已支付 = 1,
    未支付
}

/**
 * 发票状态
 */
export enum INVOICESTATUS{
    不具备开票条件 = 1,
    已开发票 = 2,
    未开发票,
    退回
}

/**
 * 发票状态 前端用
 */
export enum INVOICESTATUSCLIENT{
    全部 = 0,
    已开发票 = 2,
    未开发票,
}


/**
 * 审核状态 前端用
 */
export enum AUDITINGCLIENT {
    已申请 = 0,
    审核通过 = 2,
    后台审批中 = 3,
    审核失败 = 4
}


/*
 * 短信类型
 */
export enum SMSTYPE {
    单位会员注册 = 1,
    信息填报提醒,
}


/**
 * 会员注册流程
 */
export enum REGISTERFLOW {
   未注册 = 0,
   完成第一步,
   完成第二步,
   完成第三步
}


/**
 * 收款确认
 */
export enum RECEIPTCONFIRMATION {
    待确认 = 1,
    收款确认 = 2,
    退回
}


/**
 * 支付方式
 */
export enum PAYMENTTYPE {
    微信支付 = 1,
    银行转账,
    线下支付
}


/**
 * 院校办学类型 yuanXiaoBanXueLeiXing
 */
export enum BANXUELEIXING {
    中职 = 1,
    高职,
    本科,
    社会培训,
    非教学
}


/**
 * 审批历史操作行为
 */
export enum OPERATIONREHAVIOR {
    待审核 = 1,
    重新提交,
    驳回修改,
    通过,
    用户提交
}


/**
 * 支付状态
 */
export enum PAYMENTSTATUS {
    已支付 = 1,
    未支付,
    银行转账,
    线下付款
}


/**
 * 管理员类别
 */
export enum ADMINTYPE {
    管理员 = 1,
    行政,
    财务
}


/**
 * 管理后台一级目录
 */
export enum ADMINFIRSTDIR {
    网站管理 = 1,
    会员管理 = 2
}

/**
 * 管理员等级
 */
export enum ADMINLV {
    学会概况 = 101,
    动态资讯 = 102,
    品牌项目,
    党建工作,
    分支机构,
    通知公告,
    内容管理,
    首页 = 108,
    会员库 = 201,
    审批管理,
    会费管理,
    发票管理,
    会员管理,
    管理设置 = 206
}

/**
 * 微信支付状态
 */
export enum WEICHARTPAYSTATE{
    未提交=0,
    未支付,
    已支付
}


/**
 * 学历
 */
export enum EDUCATION {
    大专 = 1,
    本科,
}


/**
 * 前端使用
 */
export enum MYORDERLISTSTATE {
    申请发票 = 1,
    申请进度,
    下载发票
}

/**
 * 前端使用
 */
export enum MYORDERLISTPAYSTATE {
    待缴费 = 1,
    已缴费,
    财务查账中,
    缴费失败
}